Skip to main content
GET
/
beta
/
amm
/
deep
/
positions
/
{userAddress}
/
{network}
/
{vaultId}
cURL
curl --request GET \
  --url https://api.vaults.fyi/beta/amm/deep/positions/{userAddress}/{network}/{vaultId} \
  --header 'x-api-key: <api-key>'
{
  "address": "<string>",
  "network": {
    "name": "mainnet",
    "chainId": 123,
    "networkCaip": "<string>"
  },
  "asset0": {
    "address": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "balanceInVault": "<string>"
  },
  "asset1": {
    "address": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "balanceInVault": "<string>"
  },
  "name": "<string>",
  "apr": {
    "7day": 123,
    "30day": 123
  },
  "decimals": 123,
  "userBalance": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to be used for best vault calculation

Pattern: ^0x[a-fA-F0-9]{40}$
network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultId
string
required

Vault id of the vault for which the data will be returned

Response

Default Response

address
string
required

Address of the vault

Pattern: ^0x[a-fA-F0-9]{40}$
network
object
required

Network details of the vault

asset0
object
required

Asset details of the vault

asset1
object
required

Asset details of the vault

name
string
required

Name of the vault

apr
object
required
decimals
number
required

Decimals of the vault token

userBalance
string
required

User balance in vault shares